EmbodiFlow文档
开始使用数据工作流与算法训练与部署开发者参考
  • 开发者参考

认证

  • 认证概览
  • API 密钥
  • 个人访问令牌
  • 浏览器会话

REST API

  • 使用 REST API
  • 全部端点
  • 项目
    • 录制
      • POST
        Create a archive request
      • POST
        Create a revision
      • GET
        List checks for a dataset version
      • POST
        Create a contract check request
      • GET
        List deletion eligibility for a dataset version
      • GET
        List health for a dataset version
      • POST
        Create a health recompute request
      • GET
        List provenance summary for a dataset version
      • POST
        Create a repair task generation request
      • GET
        List reproducibility bundle for a dataset version
      • POST
        Create a split plan
      • GET
        List training jobs for a dataset version
      • GET
        List diff for a dataset version
      • POST
        Create a dataset
      • GET
        Get a dataset
      • PATCH
        Update a dataset
      • PUT
        Update a draft
      • POST
        ADR 0073: import QWen auto-annotate draft → writeback + optional search index rebuild.
      • GET
        List frame spatial annotations for a dataset
      • POST
        Create a frame spatial annotation
      • DELETE
        Delete a frame spatial annotation
      • PATCH
        Update a frame spatial annotation
      • GET
        List lineage for a dataset
      • GET
        List studio for a dataset
      • GET
        List time range annotations for a dataset
      • POST
        Create a time range annotation
      • DELETE
        Delete a time range annotation
      • PATCH
        Update a time range annotation
      • GET
        List versions for a dataset
      • GET
        List governance tags for a version
      • POST
        Create a governance tag
      • DELETE
        Delete a governance tag
      • PATCH
        Update a governance tag
      • GET
        List governance tags for a item
      • POST
        Create a governance tag
      • DELETE
        Delete a governance tag
      • PATCH
        Update a governance tag
      • GET
        Get a version
      • POST
        Create a derived version
      • GET
        List files for a version
      • GET
        List items for a version
      • GET
        List lineage for a version
      • GET
        List metadata for a version
      • GET
        List processing gate for a version
      • POST
        Create a publication request
      • POST
        Create a quality check job
      • GET
        List quality report for a version
      • GET
        List quality summary for a version
      • GET
        List signed files for a version
      • GET
        List topics for a version
      • POST
        Create a visibility restoration
      • GET
        List edges for a lineage
      • GET
        List downstream for a node
      • GET
        List upstream for a node
      • GET
        List capture sessions in a project
      • POST
        Create a capture session
      • GET
        List data contracts for a project
      • POST
        Create a data contract
      • GET
        List datasets for a project
      • GET
        List health for a project
      • GET
        List recordings in a project
      • POST
        Create a recording from an upload session or a one-way Hugging Face Hub import
      • DELETE
        Move a recording to trash
      • GET
        Get a recording
      • PATCH
        Patch recording name and tags
      • GET
        Get anonymization evidence and spot-check status for a recording
      • POST
        Create a consent-document upload for a human recording
      • POST
        Complete a consent-document upload after the object is stored
      • POST
        Confirm a privacy spot check for the latest processing result
      • GET
        What the latest processing result of a recording holds: cameras, columns, features, rate and duration
      • PUT
        Assign or clear a recording capture session
    • 上传
      • 任务片段与版本
        • 标注
          • 质量与任务
            • 检索
              • 工作流
                • 算法
                  • 模型
                    • 产物与导出
                      • 计费与用量
                        • 团队与治理
                          • 账号与通知
                            • Webhook 端点

                              事件

                              • 出站事件
                              • 签名校验

                              工具

                              • 命令行
                              • SDK
                              • MCP

                              更新

                              • 更新日志

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. 开发者参考
                              2. REST API
                              3. 录制
                              4. Create a repair task generation request

                              Create a repair task generation request

                              POST
                              /v1/dataset-versions/{versionId}/repair-task-generation-requests
                              curl -X POST 'https://api.embodiflow.io/v1/dataset-versions/{versionId}/repair-task-generation-requests' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT' \
                                -H 'Content-Type: application/json' \
                                -d '{
                                  "blockerCodes": [
                                    "string"
                                  ]
                                }'

                              认证

                              每个请求都需要携带个人访问令牌(PAT)。

                              • Authorization: Bearer PAT
                              认证指南

                              路径参数

                              • versionIdstring必填

                              请求头参数

                              • Idempotency-Keystring

                                Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.

                              请求体

                              Content-Typeapplication/json
                              • blockerCodesarray<string>

                              响应

                              Success

                              • dataobject必填
                                • datasetVersionIdstring必填
                                • itemsarray<RepairTaskGenerationItemDto>必填
                                • createdCountnumber必填
                                • deduplicatedCountnumber必填
                                • skippedCountnumber必填
                                • healthobject必填
                              响应示例
                              {
                                "data": {
                                  "datasetVersionId": "string",
                                  "items": [
                                    {
                                      "blockerCode": "string",
                                      "outcome": "created",
                                      "repairTask": {
                                        "id": "string",
                                        "tenantId": "string",
                                        "projectId": "string",
                                        "scopeType": "dataset",
                                        "datasetId": "string",
                                        "datasetVersionId": "string",
                                        "sourceType": "health-check",
                                        "sourceId": "string",
                                        "title": "string",
                                        "description": "string",
                                        "severity": "warning",
                                        "status": "in_progress",
                                        "assignee": {
                                          "projectMembershipId": "string",
                                          "membershipId": "string",
                                          "displayName": "string"
                                        },
                                        "dueAt": "string",
                                        "resolution": "fixed",
                                        "waiveReason": "string",
                                        "waivedAt": "string",
                                        "waivedBy": {
                                          "membershipId": "string",
                                          "displayName": "string"
                                        },
                                        "resolvedAt": "string",
                                        "createdAt": "string",
                                        "updatedAt": "string",
                                        "deduplicated": false
                                      },
                                      "skipReason": "string"
                                    }
                                  ],
                                  "createdCount": 0,
                                  "deduplicatedCount": 0,
                                  "skippedCount": 0,
                                  "health": {
                                    "datasetVersionId": "string",
                                    "datasetId": "string",
                                    "projectId": "string",
                                    "status": "unknown",
                                    "score": 0,
                                    "dimensions": [
                                      {
                                        "id": "quality",
                                        "status": "warning",
                                        "message": "string",
                                        "recommendedAction": "string",
                                        "evidenceLinks": [
                                          {}
                                        ]
                                      }
                                    ],
                                    "blockers": [
                                      {
                                        "id": "string",
                                        "dimensionId": "quality",
                                        "severity": "warning",
                                        "code": "string",
                                        "message": "string",
                                        "waived": false,
                                        "waiveReason": "string",
                                        "waivedAt": "string",
                                        "waivedByDisplayName": "string",
                                        "waiverNeedsReview": false,
                                        "evidenceLinks": [
                                          {}
                                        ],
                                        "linkedRepairTaskId": "string",
                                        "linkedRepairTaskStatus": "in_progress"
                                      }
                                    ],
                                    "recommendedNextAction": "string",
                                    "computedAt": "string",
                                    "freshnessStatus": "unknown",
                                    "evidenceUpdatedAt": "string",
                                    "isStale": false,
                                    "staleReason": "string",
                                    "recomputeStatus": "in_progress",
                                    "assetHealthStatus": "failed"
                                  }
                                }
                              }
                              服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              上一页

                              GET /dataset-versions/{versionId}/provenance-summary

                              下一页

                              GET /dataset-versions/{versionId}/reproducibility-bundle

                              curl -X POST 'https://api.embodiflow.io/v1/dataset-versions/{versionId}/repair-task-generation-requests' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT' \
                                -H 'Content-Type: application/json' \
                                -d '{
                                  "blockerCodes": [
                                    "string"
                                  ]
                                }'
                              响应示例
                              状态码
                              201
                              ​
                              {
                                "data": {
                                  "datasetVersionId": "string",
                                  "items": [
                                    {
                                      "blockerCode": "string",
                                      "outcome": "created",
                                      "repairTask": {
                                        "id": "string",
                                        "tenantId": "string",
                                        "projectId": "string",
                                        "scopeType": "dataset",
                                        "datasetId": "string",
                                        "datasetVersionId": "string",
                                        "sourceType": "health-check",
                                        "sourceId": "string",
                                        "title": "string",
                                        "description": "string",
                                        "severity": "warning",
                                        "status": "in_progress",
                                        "assignee": {
                                          "projectMembershipId": "string",
                                          "membershipId": "string",
                                          "displayName": "string"
                                        },
                                        "dueAt": "string",
                                        "resolution": "fixed",
                                        "waiveReason": "string",
                                        "waivedAt": "string",
                                        "waivedBy": {
                                          "membershipId": "string",
                                          "displayName": "string"
                                        },
                                        "resolvedAt": "string",
                                        "createdAt": "string",
                                        "updatedAt": "string",
                                        "deduplicated": false
                                      },
                                      "skipReason": "string"
                                    }
                                  ],
                                  "createdCount": 0,
                                  "deduplicatedCount": 0,
                                  "skippedCount": 0,
                                  "health": {
                                    "datasetVersionId": "string",
                                    "datasetId": "string",
                                    "projectId": "string",
                                    "status": "unknown",
                                    "score": 0,
                                    "dimensions": [
                                      {
                                        "id": "quality",
                                        "status": "warning",
                                        "message": "string",
                                        "recommendedAction": "string",
                                        "evidenceLinks": [
                                          {}
                                        ]
                                      }
                                    ],
                                    "blockers": [
                                      {
                                        "id": "string",
                                        "dimensionId": "quality",
                                        "severity": "warning",
                                        "code": "string",
                                        "message": "string",
                                        "waived": false,
                                        "waiveReason": "string",
                                        "waivedAt": "string",
                                        "waivedByDisplayName": "string",
                                        "waiverNeedsReview": false,
                                        "evidenceLinks": [
                                          {}
                                        ],
                                        "linkedRepairTaskId": "string",
                                        "linkedRepairTaskStatus": "in_progress"
                                      }
                                    ],
                                    "recommendedNextAction": "string",
                                    "computedAt": "string",
                                    "freshnessStatus": "unknown",
                                    "evidenceUpdatedAt": "string",
                                    "isStale": false,
                                    "staleReason": "string",
                                    "recomputeStatus": "in_progress",
                                    "assetHealthStatus": "failed"
                                  }
                                }
                              }